// pch.h: 这是预编译标头文件。
// 下方列出的文件仅编译一次，提高了将来生成的生成性能。
// 这还将影响 IntelliSense 性能，包括代码完成和许多代码浏览功能。
// 但是，如果此处列出的文件中的任何一个在生成之间有更新，它们全部都将被重新编译。
// 请勿在此处添加要频繁更新的文件，这将使得性能优势无效。

#ifndef PCH_H
#define PCH_H

// 添加要在此处预编译的标头
#include "framework.h"
#include <vector>
#endif //PCH_H





//# define SELL "售出模式"
#define INVERSION "24081701"






# define DFCSkey	{7,2,4,3,8} 




static void Cutecode(char* pstr, int* pkey, int len = -1);
//单个字符解密
static char CutcodeChar(char c, int key, int key2) {
    char a = (((c - 1) ^ key) ^ key2) - key;
    return a;
}

//解密
static void Cutecode(char* pstr, int* pkey, int len) {
    if (len == -1)len = strlen(pstr);
    for (int i = 0; i < len; i++)
        *(pstr + i) = CutcodeChar(*(pstr + i), pkey[i % 5], pkey[(i + 18) % 5]);
}